XFcCFLDirectoryEntry class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcCFLDirectoryEntry Class Reference

Container for all information CFL needs about one file inside CFLs. More...

Collaboration diagram for XFcCFLDirectoryEntry:

[legend]
List of all members.

## Public Member Functions

XFCIMPORT INT32 | byteRequirement ()
| Calculates required buffer size for a directory.
XFCIMPORT void | store (INT8 *buffer, INT32 &offset)
| Encodes an entry to a buffer.
XFCIMPORT | ~XFcCFLDirectoryEntry ()
XFCIMPORT INT | equals (const CHAR *name, INT32 hash)
| Compares two directory entries, first by hash and then by the name.
XFCIMPORT void | replaceEntry (XFcCFLDirectoryEntry *replacement)
| Replaces this entry with new one.

## Static Public Member Functions

XFCIMPORT XFcCFLDirectoryEntry * | restore (INT8 *buffer, INT32 &offset)
| Loads an entry from a buffer.
XFCIMPORT INT32 | calcHash (const CHAR *name)
| Calculates a hash from a name.

## Public Attributes

CHAR * | mName
| Name is stored as short int size + char string.
UINT32 | mCompression
UINT32 | mUnpackedSize
UINT32 | mOffset
INT32 | mNameHash
| Hash is not loaded from a file, but rather calculated on the run.
XFcCFLLibrary * | mLib
XFcCFLDirectoryEntry * | mNext
| Pointer to the next entry.

## Detailed Description

Container for all information CFL needs about one file inside CFLs.

## Constructor & Destructor Documentation

XFCIMPORT XFcCFLDirectoryEntry::~XFcCFLDirectoryEntry | ( |  | ) |

## Member Function Documentation

XFCIMPORT INT32 XFcCFLDirectoryEntry::byteRequirement | ( |  | ) |

| Calculates required buffer size for a directory.

XFCIMPORT INT32 XFcCFLDirectoryEntry::calcHash | ( | const CHAR * | name | ) | `[static]`

| Calculates a hash from a name.

XFCIMPORT INT XFcCFLDirectoryEntry::equals | ( | const CHAR * | name,
|  | INT32 | hash
| ) |

| Compares two directory entries, first by hash and then by the name.

XFCIMPORT void XFcCFLDirectoryEntry::replaceEntry | ( | XFcCFLDirectoryEntry * | replacement | ) |

| Replaces this entry with new one.

XFCIMPORT XFcCFLDirectoryEntry* XFcCFLDirectoryEntry::restore | ( | INT8 * | buffer,
|  | INT32 & | offset
| ) | `[static]`

| Loads an entry from a buffer.

XFCIMPORT void XFcCFLDirectoryEntry::store | ( | INT8 * | buffer,
|  | INT32 & | offset
| ) |

| Encodes an entry to a buffer.

## Member Data Documentation

UINT32 XFcCFLDirectoryEntry::mCompression

XFcCFLLibrary* XFcCFLDirectoryEntry::mLib

CHAR* XFcCFLDirectoryEntry::mName

| Name is stored as short int size + char string.

INT32 XFcCFLDirectoryEntry::mNameHash

| Hash is not loaded from a file, but rather calculated on the run.

XFcCFLDirectoryEntry* XFcCFLDirectoryEntry::mNext

| Pointer to the next entry.

UINT32 XFcCFLDirectoryEntry::mOffset

UINT32 XFcCFLDirectoryEntry::mUnpackedSize

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch